# AmoebaWcaDispersionForce Class Reference

This class implements a nonbonded interaction between pairs of particles typically used along with AmoebaGeneralizedKirkwoodForce as part of an implicit solvent model. More...

Inheritance diagram for AmoebaWcaDispersionForce:

List of all members.

## Public Member Functions

def | getNumParticles
| getNumParticles(self) -> int
def | setParticleParameters
| setParticleParameters(self, int particleIndex, double radius, double epsilon)
def | getParticleParameters
| getParticleParameters(self, int particleIndex)
def | addParticle
| addParticle(self, double radius, double epsilon) -> int
def | updateParametersInContext
| updateParametersInContext(self, Context context)
def | getEpso
| getEpso(self) -> double
def | getEpsh
| getEpsh(self) -> double
def | getRmino
| getRmino(self) -> double
def | getRminh
| getRminh(self) -> double
def | getAwater
| getAwater(self) -> double
def | getShctd
| getShctd(self) -> double
def | getDispoff
| getDispoff(self) -> double
def | getSlevy
| getSlevy(self) -> double
def | setEpso
| setEpso(self, double inputValue)
def | setEpsh
| setEpsh(self, double inputValue)
def | setRmino
| setRmino(self, double inputValue)
def | setRminh
| setRminh(self, double inputValue)
def | setAwater
| setAwater(self, double inputValue)
def | setShctd
| setShctd(self, double inputValue)
def | setDispoff
| setDispoff(self, double inputValue)
def | setSlevy
| setSlevy(self, double inputValue)
def | __init__
| __init__(self) -> AmoebaWcaDispersionForce __init__(self, AmoebaWcaDispersionForce other) -> AmoebaWcaDispersionForce
def | __del__
| __del__(self)

## Public Attributes

| this

## Detailed Description

This class implements a nonbonded interaction between pairs of particles typically used along with AmoebaGeneralizedKirkwoodForce as part of an implicit solvent model.

To use it, create an AmoebaWcaDispersionForce object then call addParticle() once for each particle. After a particle has been added, you can modify its force field parameters by calling setParticleParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(self) -> AmoebaWcaDispersionForce __init__(self, AmoebaWcaDispersionForce other) -> AmoebaWcaDispersionForce

Create an AmoebaWcaDispersionForce.

def addParticle | ( |  | self,
|  |  | args |
| ) |  |  |

addParticle(self, double radius, double epsilon) -> int

Set the force field parameters for a WCA dispersion particle.

Parameters:

  | radius | radius
  | epsilon | epsilon

def getAwater | ( |  | self | ) |

getAwater(self) -> double

def getDispoff | ( |  | self | ) |

getDispoff(self) -> double

def getEpsh | ( |  | self | ) |

getEpsh(self) -> double

def getEpso | ( |  | self | ) |

getEpso(self) -> double

def getNumParticles | ( |  | self | ) |

getNumParticles(self) -> int

Get the number of particles

def getParticleParameters | ( |  | self,
|  |  | args |
| ) |  |  |

getParticleParameters(self, int particleIndex)

Get the force field parameters for a WCA dispersion particle.

Parameters:

  | particleIndex | the particle index
  | radius | radius
  | epsilon | epsilon

def getRminh | ( |  | self | ) |

getRminh(self) -> double

def getRmino | ( |  | self | ) |

getRmino(self) -> double

def getShctd | ( |  | self | ) |

getShctd(self) -> double

def getSlevy | ( |  | self | ) |

getSlevy(self) -> double

def setAwater | ( |  | self,
|  |  | args |
| ) |  |  |

setAwater(self, double inputValue)

def setDispoff | ( |  | self,
|  |  | args |
| ) |  |  |

setDispoff(self, double inputValue)

def setEpsh | ( |  | self,
|  |  | args |
| ) |  |  |

setEpsh(self, double inputValue)

def setEpso | ( |  | self,
|  |  | args |
| ) |  |  |

setEpso(self, double inputValue)

def setParticleParameters | ( |  | self,
|  |  | args |
| ) |  |  |

setParticleParameters(self, int particleIndex, double radius, double epsilon)

Set the force field parameters for a WCA dispersion particle.

Parameters:

  | particleIndex | the particle index
  | radius | radius
  | epsilon | epsilon

def setRminh | ( |  | self,
|  |  | args |
| ) |  |  |

setRminh(self, double inputValue)

def setRmino | ( |  | self,
|  |  | args |
| ) |  |  |

setRmino(self, double inputValue)

def setShctd | ( |  | self,
|  |  | args |
| ) |  |  |

setShctd(self, double inputValue)

def setSlevy | ( |  | self,
|  |  | args |
| ) |  |  |

setSlevy(self, double inputValue)

def updateParametersInContext | ( |  | self,
|  |  | args |
| ) |  |  |

updateParametersInContext(self, Context context)

Update the per-particle parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setParticleParameters() to modify this object's parameters, then call updateParametersInState() to copy them over to the Context.

The only information this method updates is the values of per-particle parameters. All other aspects of the Force are unaffected and can only be changed by reinitializing the Context.

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py